Subject: Re: Hardware capabilities and bonding offload

From: Andrew Lunn <[email-masked]>
Date: Wed, 18 Nov 2015 15:05:12 +0100

> To be honest though this is more of an argument in theory versus
> some existing management agent I know of today. If you need to do
> bonding type X in your network and the particular switch doesn't support
> it I'm not even sure what the mgmt layer is going to do. Maybe just
> put the switch offline for that network segment.
> 
> If you leave the sw bit out in the first iteration I'm OK with that
> we can easily add it when we have software that needs it.

Taking a step back...

Have we defined a consistent way for signalling:

1) Failed to offload to the hardware, because the hardware cannot do
   what you requested.
2) Do this in software, rather than trying and failing to offload to
   hardware.

At least in DSA, we return EOPNOTSUP for 1).

   Andrew